Subject: Re: [PATCH] netfilter: Fix compiler warning.

From: Eric Dumazet <[email-masked]>
Date: Thu, 10 Dec 2009 20:31:52 +0100

Le 10/12/2009 19:53, Jan Engelhardt a écrit :
> 
> On Donnerstag 2009-12-10 18:50, Laurent Chavey wrote:
>>
>> good point.  I  agree with the need for the exception, I would just
>> like it to be more explicit in the code itself (like a turn off
>> check around that particular statement) so we do not have to scrub
>> thru the compiler output to filter out good / bad warning. question:
>>  why do we not force the timestamp in the skb before going thru the
>> chain ?
> 
> Because it is probably too expensive to do, unless you employ
> things like xt_time?

Right. On some platforms, timestamps are quite expensive (say, a fraction 
of one micro second to get one of them), we try to avoid them as much as possible.
--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html